Biodiversity¶
Retired endpoint
GET /biodiversity/ is retired and returns 410 Gone. Submit the plots with
POST /batch_process and read the results from
GET /fetch_biodiversity. The methodology below still
describes the metric that the batch path computes.
The biodiversity metric implements a canopy height heterogeneity metric called the Rao's Q (Rocchini et al., 2021). It is based on this Earth Engine implementation of Rao's Q.
Key Datasets¶
The change detection algorithms implemented and datasets are the following:
-
GEDI LiDAR L2A footprints: GEDI LiDAR L4A footprints are used a way to characterize canopy height and their spatial heterogeneity. They measure footprint-level (25m radius) canopy height across landscapes. These are used to train a model to upscale canopy height estimates across supply bases and landscapes. They are available between 2018 and 2023 for most regions of the world, and ensure that a broad variety of temporal conditions are captured, enabling more robust predictions across space and time. The canopy height estimates provided at the footprint level by the GEDI L2A product is based on the 98th percentile of the returned waveform, used to approximate canopy height. It assumes that the 99th and 100th percentile are noisy and likely to over-estimate actual canopy height.
-
Dynamic World Probabilities: Dynamic World's (Brown et al., 2022) Probability time series are used in combination with Sentinel-2 red, red-edge, near-infrared and short-wave infrared bands, as well as Sentinel-1 VV and VH polarization bands, as inputs to train an Above-Ground Biomass (AGB) model. The reference data used to train the model are the GEDI LiDAR L4A footprints, described above. The Dynamic World probabilities are particularly helpful in providing land use transition context for predicting above-ground biomass.
-
Other Datasets: As more datasets become available in the form of reference data or covariates (e.g. commercial imagery offering), either due to outstanding performance according to state-of-the-art, or because regulations and enforcing agencies require specific datasets or approaches, Epoch will implement these as per required.
Key Considerations¶
See below a list of key considerations to keep in mind when using the biodiversity metric:
-
The area calculations are weighted, which means that the exact proportion of overlapping pixels are accounted for in the reported non-compliance areas. This avoids over- and under-accounting issues.
-
The results are as consistent as the plot boundaries (geometries) provided! If the input geometries are approximate, they WILL pick up changes surrounding the plot, which may not be managed by the supply chain actor. Therefore it is of utmost importance that the geo-referenced plots used as inputs to this API call are as accurate as possible.
-
The thumbnail shows changes in and around the plot, but the reported values in the response ONLY report changes WITHIN the plot. The change data surrounding the plot itself is shown in the thumbnail for reference, and to highlight potential risks around the plots themselves. For a more comprehensive statistical comparison to a reference area (supply shed, watershed, administrative unit), the Batch API should be used.
-
The predictions derived from GEDI L2A footprints are only as accurate as the footprints themselves. The footprints' sources of uncertainty come from inaccuracies in the digital elevation model used, positional inaccuracies of the footprints' georeferencing, steepness of slope, etc. While we attempt to filter out low accuracy footprints, the models may still be trained on data that over- or under-estimates canopy height, which is why an independent validation using field-collected data is necessary to provide canopy height and associated biodiversity proxy information with adequate levels of confidence.
How to Request the Metric¶
The metric is available through the batch path only.
- Upload the plots. See Upload Plots.
- Submit the collection with
POST /batch_processandbiodiversityin thestatsparameter. - Read the results from
GET /fetch_biodiversity. That page documents the response fields.
The Authorization header must carry your user token. Check this page for more information on how to authenticate.
Thumbnail Interpretation¶
The above thumbnail is an example of what the batch path returns as the biodiversity thumbnail.
The top image is the situation at the start of the monitoring period, which defaults to 2016-01-01. The middle image is the situation at the end of the monitoring period, which defaults to the day the request is made. The image is always taken from the same time of the year in another year to the extent possible, as it ensures the season in which the images acquired are similar, making the vegetation conditions more comparable and the actual changes more visually appreciable.
The bottom image shows the Rao's Q diversity score generated by the API request. The color ramp stretches from blue to yellow, with the deeper blue being locations with lower canopy height heterogeneity, while the deeper yellow are locations that have gained the most above-ground biomass over the monitoring period. White pixels are intermediate values oscillating around 0.5, indicating medium diversity.